Name: compiz-bcop
Version: 0.8.2
Release: 3%{?dist}
Summary: Compiz option code generator       

Group: Development/Libraries
License: GPLv2+       
URL: http://compiz-fusion.org            
Source0:  http://releases.compiz-fusion.org/%{version}/%{name}-%{version}.tar.bz2     
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# compiz is not available on these arches due to missing libdrm
ExcludeArch: s390 s390x
BuildArch: noarch

BuildRequires: libxslt-devel
Requires: pkgconfig 
Requires: util-linux

%description
BCOP is a code generator that provides an easy way to handle
plugin options by generating parts of the plugin code directly
from the xml metadata file.
It is used for most of the Compiz Fusion plugins


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/bcop
%{_datadir}/bcop/
%{_datadir}/pkgconfig/bcop.pc
%doc COPYING NEWS


%changelog
* Mon Apr 04 2011 Leigh Scott <leigh123linux@googlemail.com> - 0.8.2-3
- rebuilt for epel6 branch

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon May 25 2009 Adel Gadllah <adel.gadllah@gmail.com> 0.8.2-1
- Update to 0.8.2

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 08 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.8-1
- Update to 0.7.8

* Thu Jun 05 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.6-1
- Update to 0.7.6

* Mon Mar 24 2008 Adel Gadllah <adel.gadllah@gmail.com> 0.7.2-1
- Update to 0.7.2

* Mon Oct 22 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.6.0-1
- Update to 0.6.0

* Thu Aug 22 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.5.2-2
- Add missing Requires

* Sat Aug 18 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.5.2-1
- Initial build
